<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DeskHelper: Исходный файл /home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/app/deskhelper/include/speechtotext.h</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DeskHelper
   </div>
   <div id="projectbrief">app for quick and convenient (voice input) access to data, to other app as well as for reminders</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">speechtotext.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="speechtotext_8h.html">См. документацию.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; </div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#ifndef SPEECHTOTEXT_H</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#define SPEECHTOTEXT_H</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160; </div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#include &lt;QObject&gt;</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &lt;QtNetwork/QNetworkReply&gt;</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#include &lt;QAudioRecorder&gt;</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &lt;QSettings&gt;</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#include &lt;QPixmap&gt;</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#include &lt;QJsonDocument&gt;</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include &lt;QJsonObject&gt;</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;QFile&gt;</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &lt;QDir&gt;</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#include &lt;QProcess&gt;</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="qxtglobalshortcut_8h.html">qxtglobalshortcut.h</a>&quot;</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &quot;../deskhelper/include/settings.h&quot;</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160; </div>
<div class="line"><a name="l00023"></a><span class="lineno"><a class="line" href="classSpeechToText.html">   23</a></span>&#160;<span class="keyword">class </span><a class="code" href="classSpeechToText.html">SpeechToText</a> : <span class="keyword">public</span> QObject</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;{</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    Q_OBJECT</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160; </div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    <a class="code" href="classSpeechToText.html#a7dcc82fb7a806f18e85b5fb25dfd51b6">SpeechToText</a>(QString shortcutAppActivation);</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    <a class="code" href="classSpeechToText.html#ad2107b90fc1fbd1390ea8bdb673f2c62">~SpeechToText</a>();</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;signals:</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;     <span class="keywordtype">void</span> <a class="code" href="classSpeechToText.html#a5055d9f2e676cde9ea05af004ad1a8d8">sendTexttoMainClass</a>();</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;     <span class="keywordtype">void</span> <a class="code" href="classSpeechToText.html#a6e1f04d25cb6f41d641fe33a27677fbf">secondClick</a>();</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;     <span class="keywordtype">void</span> <a class="code" href="classSpeechToText.html#ac9450c0516f614c94bedceed8c4f9c1c">processGlobalShortcut</a>();</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;     <span class="keywordtype">void</span> <a class="code" href="classSpeechToText.html#a7aec6cb4873f91240accce2d91fe7cb8">changeRecording</a>();</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;     <span class="keywordtype">void</span> <a class="code" href="classSpeechToText.html#a94bbabf92223dc66efb0fd3193beac22">recordError</a>();</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;     <span class="keywordtype">void</span> <a class="code" href="classSpeechToText.html#a6f1e0eeb5ffc8c69c3812731101f899b">showApp</a>();</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="keyword">public</span> slots:</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classSpeechToText.html#af2028342adc6bb316ddb74efc2e28913">setGlobalShortcuts</a>(QStringList list);</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    QString <a class="code" href="classSpeechToText.html#af84e76fd3b6d25aa78bced149534ddb1">getGlobalShortcut</a>();</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classSpeechToText.html#a558c2eeb8807794c1e5d0d5625081568">setShortcutAppActivation</a>(QString shortcut);</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classSpeechToText.html#a24ec688737a6330b6ebe536a7ac511ef">connectShortcuts</a>(<span class="keywordtype">int</span> j);</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classSpeechToText.html#ab7d53c8bd732b919b1f656bba671a177">onSend</a>();</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classSpeechToText.html#a97fbacf2d3372f45cf660fdb54179969">onResponse</a> (QNetworkReply* reply );</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classSpeechToText.html#a2ace36d39102b3737b5683e8fa1f4ef1">toggleRecord</a>();</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classSpeechToText.html#a1a7d44b123206bc930d42a7728182c5d">setRunning</a>(<span class="keywordtype">bool</span> flag);</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classSpeechToText.html#abe8dd0a977665149460edf79f5b73f07">getRunning</a>();</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classSpeechToText.html#a38620f08fd7b791a8c11981078a50f08">displayErrorMessage</a>();</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classSpeechToText.html#a9a7be580e62423d4e65d46129068be6f">isInternetAccess</a>();</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classSpeechToText.html#a051603b94d7d28c38c2724dd53ec8c44">getEvenClick</a>();</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;    QString <a class="code" href="classSpeechToText.html#a3ae748e2dd51de6647efbe473ead89ad">getRezult</a>();</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;    QString <a class="code" href="classSpeechToText.html#a31c4540c2bcc711058c537dde38cd939">getErrorText</a>();</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classSpeechToText.html#a7aec13c63bc8b76ab8f246ce5558042b">evecuteAction</a>(QString action);</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classSpeechToText.html#ab5d3987757b5d47adf1ff3698ce98ce2">isWin</a>();</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160; </div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160; </div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="keyword">private</span>:</div>
<div class="line"><a name="l00059"></a><span class="lineno"><a class="line" href="classSpeechToText.html#ad1dd99f1ef3c7d132ae790f64df97394">   59</a></span>&#160;    QNetworkAccessManager* <a class="code" href="classSpeechToText.html#ad1dd99f1ef3c7d132ae790f64df97394">m_manager</a>;</div>
<div class="line"><a name="l00061"></a><span class="lineno"><a class="line" href="classSpeechToText.html#a42a088137190323efcaf001315afdbed">   61</a></span>&#160;    QAudioRecorder* <a class="code" href="classSpeechToText.html#a42a088137190323efcaf001315afdbed">m_audioRecorder</a> = <span class="keyword">nullptr</span>;</div>
<div class="line"><a name="l00063"></a><span class="lineno"><a class="line" href="classSpeechToText.html#a99b4668f6d3e3847a7fdbf288eb40312">   63</a></span>&#160;    QAudioEncoderSettings <a class="code" href="classSpeechToText.html#a99b4668f6d3e3847a7fdbf288eb40312">settings</a>;</div>
<div class="line"><a name="l00065"></a><span class="lineno"><a class="line" href="classSpeechToText.html#a2204efd8d13a01cec7be8851b1ccfa2f">   65</a></span>&#160;    QString <a class="code" href="classSpeechToText.html#a2204efd8d13a01cec7be8851b1ccfa2f">container</a>;</div>
<div class="line"><a name="l00067"></a><span class="lineno"><a class="line" href="classSpeechToText.html#a7ba9651888188291d71f9825e48ddf85">   67</a></span>&#160;    QString <a class="code" href="classSpeechToText.html#a7ba9651888188291d71f9825e48ddf85">pathAudioFile</a>;</div>
<div class="line"><a name="l00069"></a><span class="lineno"><a class="line" href="classSpeechToText.html#ad2f186985edf1a2b9b2937ec9e4417db">   69</a></span>&#160;    QString <a class="code" href="classSpeechToText.html#ad2f186985edf1a2b9b2937ec9e4417db">rezultText</a>;</div>
<div class="line"><a name="l00071"></a><span class="lineno"><a class="line" href="classSpeechToText.html#ad3719dff2f8874a8e488bb0e688483a0">   71</a></span>&#160;    QString <a class="code" href="classSpeechToText.html#ad3719dff2f8874a8e488bb0e688483a0">errorText</a>;</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160; </div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;    <span class="comment">/* Работа с глобальными ShortCuts*/</span></div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160; </div>
<div class="line"><a name="l00076"></a><span class="lineno"><a class="line" href="classSpeechToText.html#af8634298d973c78749e829a7baa73385">   76</a></span>&#160;    QString <a class="code" href="classSpeechToText.html#af8634298d973c78749e829a7baa73385">rezultShortcut</a>;</div>
<div class="line"><a name="l00078"></a><span class="lineno"><a class="line" href="classSpeechToText.html#a3e831a7c13132569e7ba1dea8283100e">   78</a></span>&#160;    <a class="code" href="classQxtGlobalShortcut.html">QxtGlobalShortcut</a>** <a class="code" href="classSpeechToText.html#a3e831a7c13132569e7ba1dea8283100e">qxtshortcuts</a> = <span class="keyword">nullptr</span>;</div>
<div class="line"><a name="l00080"></a><span class="lineno"><a class="line" href="classSpeechToText.html#a027a769027e8ec106c104bd28c558d3d">   80</a></span>&#160;    <a class="code" href="classQxtGlobalShortcut.html">QxtGlobalShortcut</a>* <a class="code" href="classSpeechToText.html#a027a769027e8ec106c104bd28c558d3d">pshortcutAppActivation</a>;</div>
<div class="line"><a name="l00082"></a><span class="lineno"><a class="line" href="classSpeechToText.html#a4291fb3df9288ad11b3e4ec6143422da">   82</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="classSpeechToText.html#a4291fb3df9288ad11b3e4ec6143422da">shortcutsCount</a> = 0;</div>
<div class="line"><a name="l00084"></a><span class="lineno"><a class="line" href="classSpeechToText.html#a70d2981717529d8bdcd564822dfde839">   84</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="classSpeechToText.html#a70d2981717529d8bdcd564822dfde839">i</a>;</div>
<div class="line"><a name="l00086"></a><span class="lineno"><a class="line" href="classSpeechToText.html#a707593f61b4d2bdee03f93cb3869ba46">   86</a></span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classSpeechToText.html#a707593f61b4d2bdee03f93cb3869ba46">isRunning</a>;</div>
<div class="line"><a name="l00088"></a><span class="lineno"><a class="line" href="classSpeechToText.html#a90c1801d5f5f85e521597f76f8446774">   88</a></span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classSpeechToText.html#a90c1801d5f5f85e521597f76f8446774">evenClick</a>;</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160; </div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160; </div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;};</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160; </div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;<span class="preprocessor">#endif // SPEECHTOTEXT_H</span></div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="aclassSpeechToText_html_a70d2981717529d8bdcd564822dfde839"><div class="ttname"><a href="classSpeechToText.html#a70d2981717529d8bdcd564822dfde839">SpeechToText::i</a></div><div class="ttdeci">int i</div><div class="ttdoc">Счетчик</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8h_source.html#l00084">speechtotext.h:84</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_a5055d9f2e676cde9ea05af004ad1a8d8"><div class="ttname"><a href="classSpeechToText.html#a5055d9f2e676cde9ea05af004ad1a8d8">SpeechToText::sendTexttoMainClass</a></div><div class="ttdeci">void sendTexttoMainClass()</div></div>
<div class="ttc" id="aclassQxtGlobalShortcut_html"><div class="ttname"><a href="classQxtGlobalShortcut.html">QxtGlobalShortcut</a></div><div class="ttdoc">The QxtGlobalShortcut class provides a global shortcut aka &quot;hotkey&quot;.</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobalshortcut_8h_source.html#l00038">qxtglobalshortcut.h:38</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_a97fbacf2d3372f45cf660fdb54179969"><div class="ttname"><a href="classSpeechToText.html#a97fbacf2d3372f45cf660fdb54179969">SpeechToText::onResponse</a></div><div class="ttdeci">void onResponse(QNetworkReply *reply)</div><div class="ttdoc">Получение ответа от сервера</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8cpp_source.html#l00184">speechtotext.cpp:184</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_a2ace36d39102b3737b5683e8fa1f4ef1"><div class="ttname"><a href="classSpeechToText.html#a2ace36d39102b3737b5683e8fa1f4ef1">SpeechToText::toggleRecord</a></div><div class="ttdeci">void toggleRecord()</div><div class="ttdoc">Запись звука</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8cpp_source.html#l00198">speechtotext.cpp:198</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_af84e76fd3b6d25aa78bced149534ddb1"><div class="ttname"><a href="classSpeechToText.html#af84e76fd3b6d25aa78bced149534ddb1">SpeechToText::getGlobalShortcut</a></div><div class="ttdeci">QString getGlobalShortcut()</div><div class="ttdoc">Получение текстового представления нажатого сочетания клавиш</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8cpp_source.html#l00077">speechtotext.cpp:77</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_a94bbabf92223dc66efb0fd3193beac22"><div class="ttname"><a href="classSpeechToText.html#a94bbabf92223dc66efb0fd3193beac22">SpeechToText::recordError</a></div><div class="ttdeci">void recordError()</div></div>
<div class="ttc" id="aclassSpeechToText_html_ad1dd99f1ef3c7d132ae790f64df97394"><div class="ttname"><a href="classSpeechToText.html#ad1dd99f1ef3c7d132ae790f64df97394">SpeechToText::m_manager</a></div><div class="ttdeci">QNetworkAccessManager * m_manager</div><div class="ttdoc">Указатель на экземпляр класса QNetworkAccessManager для отправки POST-запроса и приема ответа</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8h_source.html#l00059">speechtotext.h:59</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_a7aec6cb4873f91240accce2d91fe7cb8"><div class="ttname"><a href="classSpeechToText.html#a7aec6cb4873f91240accce2d91fe7cb8">SpeechToText::changeRecording</a></div><div class="ttdeci">void changeRecording()</div></div>
<div class="ttc" id="aclassSpeechToText_html_a7dcc82fb7a806f18e85b5fb25dfd51b6"><div class="ttname"><a href="classSpeechToText.html#a7dcc82fb7a806f18e85b5fb25dfd51b6">SpeechToText::SpeechToText</a></div><div class="ttdeci">SpeechToText(QString shortcutAppActivation)</div><div class="ttdoc">Конструктор класса SpeechToText.</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8cpp_source.html#l00017">speechtotext.cpp:17</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_a7ba9651888188291d71f9825e48ddf85"><div class="ttname"><a href="classSpeechToText.html#a7ba9651888188291d71f9825e48ddf85">SpeechToText::pathAudioFile</a></div><div class="ttdeci">QString pathAudioFile</div><div class="ttdoc">Путь до аудиофайла</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8h_source.html#l00067">speechtotext.h:67</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_af2028342adc6bb316ddb74efc2e28913"><div class="ttname"><a href="classSpeechToText.html#af2028342adc6bb316ddb74efc2e28913">SpeechToText::setGlobalShortcuts</a></div><div class="ttdeci">void setGlobalShortcuts(QStringList list)</div><div class="ttdoc">Инициализация сочетаний клавиш</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8cpp_source.html#l00086">speechtotext.cpp:86</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_ab7d53c8bd732b919b1f656bba671a177"><div class="ttname"><a href="classSpeechToText.html#ab7d53c8bd732b919b1f656bba671a177">SpeechToText::onSend</a></div><div class="ttdeci">void onSend()</div><div class="ttdoc">Отправка POST запроса на сервер wit.ai.</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8cpp_source.html#l00158">speechtotext.cpp:158</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_a38620f08fd7b791a8c11981078a50f08"><div class="ttname"><a href="classSpeechToText.html#a38620f08fd7b791a8c11981078a50f08">SpeechToText::displayErrorMessage</a></div><div class="ttdeci">void displayErrorMessage()</div><div class="ttdoc">Вывод сообщения об ошибках в терминале, отправка сигнала ошибки</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8cpp_source.html#l00262">speechtotext.cpp:262</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_a6f1e0eeb5ffc8c69c3812731101f899b"><div class="ttname"><a href="classSpeechToText.html#a6f1e0eeb5ffc8c69c3812731101f899b">SpeechToText::showApp</a></div><div class="ttdeci">void showApp()</div></div>
<div class="ttc" id="aclassSpeechToText_html_a558c2eeb8807794c1e5d0d5625081568"><div class="ttname"><a href="classSpeechToText.html#a558c2eeb8807794c1e5d0d5625081568">SpeechToText::setShortcutAppActivation</a></div><div class="ttdeci">void setShortcutAppActivation(QString shortcut)</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8cpp_source.html#l00063">speechtotext.cpp:63</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_a42a088137190323efcaf001315afdbed"><div class="ttname"><a href="classSpeechToText.html#a42a088137190323efcaf001315afdbed">SpeechToText::m_audioRecorder</a></div><div class="ttdeci">QAudioRecorder * m_audioRecorder</div><div class="ttdoc">Указатель на экземпляр класса QAudioRecorder для записи аудио</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8h_source.html#l00061">speechtotext.h:61</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_ad3719dff2f8874a8e488bb0e688483a0"><div class="ttname"><a href="classSpeechToText.html#ad3719dff2f8874a8e488bb0e688483a0">SpeechToText::errorText</a></div><div class="ttdeci">QString errorText</div><div class="ttdoc">Текст ошибки</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8h_source.html#l00071">speechtotext.h:71</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_a90c1801d5f5f85e521597f76f8446774"><div class="ttname"><a href="classSpeechToText.html#a90c1801d5f5f85e521597f76f8446774">SpeechToText::evenClick</a></div><div class="ttdeci">bool evenClick</div><div class="ttdoc">Флаг, указывающий, была ли нажата кнопка записи голоса</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8h_source.html#l00088">speechtotext.h:88</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_a707593f61b4d2bdee03f93cb3869ba46"><div class="ttname"><a href="classSpeechToText.html#a707593f61b4d2bdee03f93cb3869ba46">SpeechToText::isRunning</a></div><div class="ttdeci">bool isRunning</div><div class="ttdoc">Флаг, указывающий на то, происходит ли запись голоса</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8h_source.html#l00086">speechtotext.h:86</a></div></div>
<div class="ttc" id="aclassSpeechToText_html"><div class="ttname"><a href="classSpeechToText.html">SpeechToText</a></div><div class="ttdoc">Класс для реализации конвертации звуковой информации в текстовую</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8h_source.html#l00023">speechtotext.h:23</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_a99b4668f6d3e3847a7fdbf288eb40312"><div class="ttname"><a href="classSpeechToText.html#a99b4668f6d3e3847a7fdbf288eb40312">SpeechToText::settings</a></div><div class="ttdeci">QAudioEncoderSettings settings</div><div class="ttdoc">Экземпляр класса QAudioEncoderSettings для хранения данных об аудио-формате</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8h_source.html#l00063">speechtotext.h:63</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_a24ec688737a6330b6ebe536a7ac511ef"><div class="ttname"><a href="classSpeechToText.html#a24ec688737a6330b6ebe536a7ac511ef">SpeechToText::connectShortcuts</a></div><div class="ttdeci">void connectShortcuts(int j)</div><div class="ttdoc">Соединение сочетаний клавиш (QxtGlobalShortcut) с объектом</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8cpp_source.html#l00123">speechtotext.cpp:123</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_a1a7d44b123206bc930d42a7728182c5d"><div class="ttname"><a href="classSpeechToText.html#a1a7d44b123206bc930d42a7728182c5d">SpeechToText::setRunning</a></div><div class="ttdeci">void setRunning(bool flag)</div><div class="ttdoc">Изменение флага работы над записью/ожиданием записи</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8cpp_source.html#l00245">speechtotext.cpp:245</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_a9a7be580e62423d4e65d46129068be6f"><div class="ttname"><a href="classSpeechToText.html#a9a7be580e62423d4e65d46129068be6f">SpeechToText::isInternetAccess</a></div><div class="ttdeci">bool isInternetAccess()</div><div class="ttdoc">Проверка подключения к интернету</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8cpp_source.html#l00282">speechtotext.cpp:282</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_af8634298d973c78749e829a7baa73385"><div class="ttname"><a href="classSpeechToText.html#af8634298d973c78749e829a7baa73385">SpeechToText::rezultShortcut</a></div><div class="ttdeci">QString rezultShortcut</div><div class="ttdoc">Полученное сочетание клавиш</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8h_source.html#l00076">speechtotext.h:76</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_a2204efd8d13a01cec7be8851b1ccfa2f"><div class="ttname"><a href="classSpeechToText.html#a2204efd8d13a01cec7be8851b1ccfa2f">SpeechToText::container</a></div><div class="ttdeci">QString container</div><div class="ttdoc">Аудиоформат</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8h_source.html#l00065">speechtotext.h:65</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_ad2107b90fc1fbd1390ea8bdb673f2c62"><div class="ttname"><a href="classSpeechToText.html#ad2107b90fc1fbd1390ea8bdb673f2c62">SpeechToText::~SpeechToText</a></div><div class="ttdeci">~SpeechToText()</div><div class="ttdoc">Деструктор класса SpeechToText.</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8cpp_source.html#l00137">speechtotext.cpp:137</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_ab5d3987757b5d47adf1ff3698ce98ce2"><div class="ttname"><a href="classSpeechToText.html#ab5d3987757b5d47adf1ff3698ce98ce2">SpeechToText::isWin</a></div><div class="ttdeci">bool isWin()</div><div class="ttdoc">Проверка на ОС Windows.</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8cpp_source.html#l00347">speechtotext.cpp:347</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_ad2f186985edf1a2b9b2937ec9e4417db"><div class="ttname"><a href="classSpeechToText.html#ad2f186985edf1a2b9b2937ec9e4417db">SpeechToText::rezultText</a></div><div class="ttdeci">QString rezultText</div><div class="ttdoc">Результат приема ответа от сервера</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8h_source.html#l00069">speechtotext.h:69</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_a6e1f04d25cb6f41d641fe33a27677fbf"><div class="ttname"><a href="classSpeechToText.html#a6e1f04d25cb6f41d641fe33a27677fbf">SpeechToText::secondClick</a></div><div class="ttdeci">void secondClick()</div></div>
<div class="ttc" id="aclassSpeechToText_html_a3ae748e2dd51de6647efbe473ead89ad"><div class="ttname"><a href="classSpeechToText.html#a3ae748e2dd51de6647efbe473ead89ad">SpeechToText::getRezult</a></div><div class="ttdeci">QString getRezult()</div><div class="ttdoc">Получение результата запроса</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8cpp_source.html#l00232">speechtotext.cpp:232</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_ac9450c0516f614c94bedceed8c4f9c1c"><div class="ttname"><a href="classSpeechToText.html#ac9450c0516f614c94bedceed8c4f9c1c">SpeechToText::processGlobalShortcut</a></div><div class="ttdeci">void processGlobalShortcut()</div></div>
<div class="ttc" id="aclassSpeechToText_html_a7aec13c63bc8b76ab8f246ce5558042b"><div class="ttname"><a href="classSpeechToText.html#a7aec13c63bc8b76ab8f246ce5558042b">SpeechToText::evecuteAction</a></div><div class="ttdeci">bool evecuteAction(QString action)</div><div class="ttdoc">Выполнение действия (открытие приложений и тд)</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8cpp_source.html#l00313">speechtotext.cpp:313</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_a31c4540c2bcc711058c537dde38cd939"><div class="ttname"><a href="classSpeechToText.html#a31c4540c2bcc711058c537dde38cd939">SpeechToText::getErrorText</a></div><div class="ttdeci">QString getErrorText()</div><div class="ttdoc">Получить текст ошибки</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8cpp_source.html#l00273">speechtotext.cpp:273</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_a027a769027e8ec106c104bd28c558d3d"><div class="ttname"><a href="classSpeechToText.html#a027a769027e8ec106c104bd28c558d3d">SpeechToText::pshortcutAppActivation</a></div><div class="ttdeci">QxtGlobalShortcut * pshortcutAppActivation</div><div class="ttdoc">Ууказатель на глобальный ShortCut для активации приложения</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8h_source.html#l00080">speechtotext.h:80</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_abe8dd0a977665149460edf79f5b73f07"><div class="ttname"><a href="classSpeechToText.html#abe8dd0a977665149460edf79f5b73f07">SpeechToText::getRunning</a></div><div class="ttdeci">bool getRunning()</div><div class="ttdoc">Получение текущего состояния преобразующего процесса</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8cpp_source.html#l00254">speechtotext.cpp:254</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_a3e831a7c13132569e7ba1dea8283100e"><div class="ttname"><a href="classSpeechToText.html#a3e831a7c13132569e7ba1dea8283100e">SpeechToText::qxtshortcuts</a></div><div class="ttdeci">QxtGlobalShortcut ** qxtshortcuts</div><div class="ttdoc">Динамический массив указателей на глобальные ShortCut.</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8h_source.html#l00078">speechtotext.h:78</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_a051603b94d7d28c38c2724dd53ec8c44"><div class="ttname"><a href="classSpeechToText.html#a051603b94d7d28c38c2724dd53ec8c44">SpeechToText::getEvenClick</a></div><div class="ttdeci">bool getEvenClick()</div><div class="ttdoc">Получение четности клика</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8cpp_source.html#l00303">speechtotext.cpp:303</a></div></div>
<div class="ttc" id="aqxtglobalshortcut_8h_html"><div class="ttname"><a href="qxtglobalshortcut_8h.html">qxtglobalshortcut.h</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_a4291fb3df9288ad11b3e4ec6143422da"><div class="ttname"><a href="classSpeechToText.html#a4291fb3df9288ad11b3e4ec6143422da">SpeechToText::shortcutsCount</a></div><div class="ttdeci">int shortcutsCount</div><div class="ttdoc">Кол-во сочетаний клавиш</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8h_source.html#l00082">speechtotext.h:82</a></div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
